Package com.xebialabs.xlrelease.domain.events

## Class GlobalVariableUpdatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>
  - - com.xebialabs.xlrelease.domain.events.GlobalVariableUpdatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>`

      public class GlobalVariableUpdatedEvent$
      extends scala.runtime.AbstractFunction3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static GlobalVariableUpdatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalVariableUpdatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GlobalVariableUpdatedEvent` | `apply​(Variable original, Variable updated, VariableModificationSource source)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<Variable,​Variable,​VariableModificationSource>>` | `unapply​(GlobalVariableUpdatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final GlobalVariableUpdatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### GlobalVariableUpdatedEvent$

          public GlobalVariableUpdatedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>`

    - #### apply

          public GlobalVariableUpdatedEvent apply​(Variable original,
                                                  Variable updated,
                                                  VariableModificationSource source)

      Specified by:
        `apply` in interface `scala.Function3<Variable,​Variable,​VariableModificationSource,​GlobalVariableUpdatedEvent>`

    - #### unapply

          public scala.Option<scala.Tuple3<Variable,​Variable,​VariableModificationSource>> unapply​(GlobalVariableUpdatedEvent x$0)